#
# spec file for package git-sync
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           git-sync
Version:        0.0.0~git20151024.eb9adaf
Release:        lp151.2.1
Summary:        Safe and simple one-script git synchronization
License:        CC0-1.0
Group:          Development/Tools/Version Control

Url:            https://github.com/simonthum/git-sync
Source0:        %{name}-%{version}.tar.xz
Patch0:         no-env.patch
BuildArch:      noarch
BuildRequires:  git-core
Requires:       git-core

%description
Suppose you have a set of text files you care about, multiple machines
to work on, and a central git repository (a.k.a. bare reporitory) at
your disposal. You do not care about atomic commits, but coarse
versioning and backup is grave. For example, server configuration or
org-mode files.

In that case, git-sync will help you keep things in sync.

Unlike the myriad of scripts to do just that already available,
it follows the KISS principle: It is safe, small, requires nothing but
git and bash, but does not even try to shield you from git. It is
non-interactive, but will cautiously exit with a useful hint or error
if there is any kind of problem.

It is ultimately intended for git-savy people. As a rule of thumb, if
you know how to complete a failed rebase, you're fine.

Tested on msysgit and a real bash. In case you know bash scripting, it
will probably make your eyes bleed, but for some reason it works.

%prep
%setup
%patch0 -p1

%build

%install
install -vdm 0755 %{buildroot}%{_bindir}
cp %{name} %{buildroot}%{_bindir}

%files
%doc README.md
%{_bindir}/%{name}

%changelog
* Mon Mar 12 2018 jimmy@boombatower.com
- Format spec.
* Fri Mar  9 2018 jimmy@boombatower.com
- Initial package.
